aboutsummaryrefslogtreecommitdiffstats
path: root/tests/simple_abc9/run-test.sh
diff options
context:
space:
mode:
authorEddie Hung <eddieh@ece.ubc.ca>2019-02-20 15:31:35 -0800
committerEddie Hung <eddieh@ece.ubc.ca>2019-02-20 15:31:35 -0800
commit945bbcc2989c6b6cad2ef3b9aae253f23d6a2697 (patch)
treed09c3a6795921776ff0670a2fb92ab2b7c646df2 /tests/simple_abc9/run-test.sh
parent2ca83005fbff008cf4c9e00c1b2b294312f89dc2 (diff)
downloadyosys-945bbcc2989c6b6cad2ef3b9aae253f23d6a2697.tar.gz
yosys-945bbcc2989c6b6cad2ef3b9aae253f23d6a2697.tar.bz2
yosys-945bbcc2989c6b6cad2ef3b9aae253f23d6a2697.zip
Add tests/simple_abc9
Diffstat (limited to 'tests/simple_abc9/run-test.sh')
-rwxr-xr-xtests/simple_abc9/run-test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/simple_abc9/run-test.sh b/tests/simple_abc9/run-test.sh
new file mode 100755
index 000000000..5c51e44f9
--- /dev/null
+++ b/tests/simple_abc9/run-test.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+OPTIND=1
+seed="" # default to no seed specified
+while getopts "S:" opt
+do
+ case "$opt" in
+ S) arg="${OPTARG#"${OPTARG%%[![:space:]]*}"}" # remove leading space
+ seed="SEED=$arg" ;;
+ esac
+done
+shift "$((OPTIND-1))"
+
+# check for Icarus Verilog
+if ! which iverilog > /dev/null ; then
+ echo "$0: Error: Icarus Verilog 'iverilog' not found."
+ exit 1
+fi
+
+cp ../simple/*.v .
+rm dff_different_styles.v # FIXME: dffsr1 fails because opt_rmdff does something fishy (#816)
+rm partsel.v # FIXME: Contains 1'hx, thus write_xaiger fails
+exec ${MAKE:-make} -f ../tools/autotest.mk $seed *.v EXTRA_FLAGS="-p \"synth -abc9 -lut 4\""